#include <iostream>
using namespace std;
const int MAX = 1000;
int main() 
{
  int d,l=0;
  int n,k;
  int a[MAX];
  int b[MAX];
  int c[MAX];
  cin>>n;
  cin>>k;
  for(int i=0;i<n;i++)
   { 
       cin>>a[i];
   }
   for(int i=0;i<n;i++)
   { 
       b[i]=a[i];
   }
   for(int i=0;i<n;i++)
    { for(int j=0;j<n;j++)
       {
       if (b[j]==a[i])
       l++;
       if(l==k)
       {
         l=0;
         c[d]=b[j];
         d++;
         i++;
         j=0;
       }
       }
    }
    return 0;
}